//	Release Version:	$ ODF 2 $
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.

//================================================================================
#ifndef PART_H
#include "Part.h"
#endif

#ifndef FRAME_H
#include "Frame.h"
#endif

#ifndef DEFINES_K
#include "Defines.k"
#endif

#ifndef BINDING_K
#include "Binding.k"
#endif

// ----- Framework Includes -----
#ifndef FWABOUT_H
#include "FWAbout.h"		// FW_About
#endif

//==============================================================================
#ifdef FW_BUILD_MAC
#pragma segment Events
#endif

FW_DEFINE_AUTO(CEventsPart)

//==============================================================================
CEventsPart::CEventsPart(ODPart* odPart)
  :	FW_CPart(odPart, FW_gInstance, kPartInfoID)
{
}

//--------------------------------------------------------------------------------
CEventsPart::~CEventsPart()
{
}

//--------------------------------------------------------------------------------
void 
CEventsPart::Initialize(Environment* ev, ODStorageUnit* storageUnit, FW_Boolean fromStorage)	// Override
{
	FW_CPart::Initialize(ev, storageUnit, fromStorage);
	FW_CSelection* selection = NULL;
	const ODType kMainPresentation = "Apple:Presentation:Events";
	this->RegisterPresentation(ev, kMainPresentation, TRUE, selection);
}

//--------------------------------------------------------------------------------
FW_CFrame* 
CEventsPart::NewFrame(Environment* ev, ODFrame* odFrame,
						FW_CPresentation* presentation, FW_Boolean fromStorage)	// Override
{
	FW_UNUSED(fromStorage);
	return FW_NEW(CEventsFrame, (ev, odFrame, presentation, this));
}

//--------------------------------------------------------------------------------
FW_CContent* 
CEventsPart::NewPartContent(Environment* ev)
{
	FW_UNUSED(ev);
	return NULL;
}

//--------------------------------------------------------------------------------
FW_Handled 
CEventsPart::DoAbout(Environment* ev)
{
	::FW_About(ev, this, kAbout);
	
	return FW_kHandled;
}
